@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "../support/_workflows-mixins.scss";

.yw-workflows-list {
	&.z-listbox {
		overflow-y: auto;
		height: 100%;
		border: 0;
	}

	&-bottom {
	  	padding-top: $workflows__list-bottom--padding-top;
	  	display: table;
	  	width: 100%;

		&-start {
			float: left;

		  	&-disabled {
				color: $workflows__list-button-disabled--color !important;
			  	cursor: default !important;
			  	text-decoration: none !important;
		  	}
		}
	}

	.z-listitem {
		&, &-selected {
			&, &:hover {
				background-color: transparent;
			}
		}
		&:hover {
			cursor: default;
		}
	}

	&-item {
		text-align: left;

		&:last-child > .z-listcell {
			border-bottom-width: $workflows__list-item--border-width;
			border-bottom-style: solid;
			margin-bottom: $workflows__list-item-last--margin-bottom;
		}
		.z-listcell {
			border-color: $workflows__list-item--border-color;
			
			> .z-listcell-content {
				padding: $workflows__list-item-content--padding;
			}
		}
		.yw-workflows-list &.z-listitem-selected {
			background-color: transparent;
		}
		.yw-workflows-list &, 
		.yw-workflows-list &.z-listitem-selected {
			&:hover, &:hover {
				background-color: $workflows__list-item-hover--bg-color;
			}
		}
		&:hover {
			button.yw-workflows-list-title {
				text-decoration: underline;
			}
		}
	}
	&-content {
		padding: $workflows__list-content--padding;

		&-bottom {
			padding: $workflows__list-inner-content--padding;
		}
		.z-label {
			max-width: 100%;
			white-space: normal;
		}
	}
	&-info {
		&-container {
			padding-top: $workflows__list-info-container--padding-top;
			display: table;
			width: 100%;
		}
		&.z-label {
			padding-right: $workflows__list-info-label--padding-x;
			display: table-cell;
			

			&:last-child {
				padding-left: $workflows__list-info-label--padding-x;
				text-align: right;
				padding-right: 0;
			}
		}
	}

	.ye-text-button {
		font-size: $workflows__list-text-button--font-size;
		color: $workflows__list-text-button--color;
	}

	.yw-workflows-list-subtitle,
	.yw-workflows-list-title {
		max-width: $workflows__list-title--max-width;
		font-size: $workflows__list-title--font-size;
		color: $workflows__list-title--color;
		display: inline-block;

		&:hover {
			color: $workflows__hyperlink-hover--color;
			text-decoration: underline;
		}
	}

	.yw-workflows-list-title {
		font-weight: $workflows__list-title--font-weight;
	}

	&-button {
		clear: left;
		float: right;
		text-align: center;

		&:empty {
			width: $workflows__list-button-empty-width;
			height: $workflows__list-button-empty-width;
			display: block;
			padding: 0;
			min-height: 0;
			@include _addButtonBackgroundDots();	

			&:hover,
			&:focus,
			&:active {
				@include _addButtonBackgroundDots($workflows__list-button-empty-width * -1);
			}
		}
	}

	tbody.z-listbox-emptybody td {
		background: transparent;
	}

	.yw-custom-menu-popup {
		margin-top: $workflows__menu-popup-top--margin-top;
	}

	.yw-show-menu-action-container {
		display: inline-block;
		float: right;
	}
}

.yw-workflows-menu-popup {
	&.yw-pointer-menupopup {
		&-right {
		margin-top: $workflows__menu-popup-right--margin-top;
		margin-left: $workflows__menu-popup-right--margin-left;
		}
		&-top {
			margin-top: $workflows__menu-popup-top--margin-top;

			&-right {
				margin-top: $workflows__menu-popup-top-right--margin-top;
				margin-left: $workflows__menu-popup-top-right--margin-left;

				&:before,
				&:after {
					right: $workflows__menu-popup-top-right-pointer--indent;
				}
			}
		}
	}
}
